//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'https://cecill.info'.

// This file is released under the 3-clause BSD license. See COPYING-BSD.

function builder_gateway_cpp()

    // If loaded, unload gateway before build it
    [loaded, id] = c_link("celestlabx_cpp");
    if loaded then
        ulink(id);
    end

    gateway_cpp_dir = get_absolute_file_path("builder_gateway_cpp.sce");

    // nom scilab - nom fonction C
    table_functions = ..
      ["CLx__tle_sgp4", "CLx_gw_tle_sgp4"; ..
       "CLx__tle_getconst", "CLx_gw_tle_getconst"; ..
       "CLx__tle_unkozai", "CLx_gw_tle_unkozai"; ..
       "CLx__installed", "CLx_gw_installed"; ..
       "CLx__msis00", "CLx_gw_msis00"];

    src_files = ..
      ["CLx_gw_tle_sgp4.cpp", ..
       "CLx_gw_tle_getconst.cpp", ..
       "CLx_gw_tle_unkozai.cpp", ..
       "CLx_gw_installed.cpp", ..
       "CLx_gw_util.cpp", ..
       "CLx_gw_msis00.cpp"];

    includes_src_cpp =  ilib_include_flag([gateway_cpp_dir, fullfile(gateway_cpp_dir, "../../src/cpp")]);
    
    tbx_build_gateway( ..
      "celestlabx_cpp", ..
      table_functions, ..
      src_files, ..
      gateway_cpp_dir, ..
      "../../src/cpp/libclx_cpp", ..
      "", ..
      includes_src_cpp);

endfunction

builder_gateway_cpp();
clear builder_gateway_cpp;
