//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'https://cecill.info'.

function [OK] = extrap_and_check()
  // Propagates state vector and check "info" structure

  [x, xosc, dxd0, info] = CLx_stela_extrap(cjd0, x0, delta_t, params, 0, ut1_tref, tt_tref);
  OK = checkExtrapolationError(info, []);

endfunction

funcprot(0);
TEST_OK = [];

tlbx_path = CLx_home();
exec(fullfile(tlbx_path, "tests", "unit_tests", "CLx_create_extrapolation_inputdata.sci"));
exec(fullfile(tlbx_path, "tests", "unit_tests", "CLx_extrap_utils.sci"));

params_backup = params;
// Check parameter coefType invalid value
params.drag_coefType = "invalid";
TEST_OK($+1) = extrap_and_check();

// Check parameter drag_atmosphericModel invalid value
params = params_backup;
params.drag_atmosphericModel = "invalid";
TEST_OK($+1) = extrap_and_check();

// Check parameter drag_solarActivityType invalid value
params = params_backup;
params.drag_solarActivityType = "invalid";
TEST_OK($+1) = extrap_and_check();

// Check parameter thirdbody_bodies invalid value
params = params_backup;
params.thirdBody_bodies = ["Sun", "invalid"];
TEST_OK($+1) = extrap_and_check();

// Check parameter delta_t
delta_t = [0 10 30];
TEST_OK($+1) = extrap_and_check();

delta_t = [-10 0 10];
TEST_OK($+1) = extrap_and_check();

// Check STELA validity control
delta_t = [0 10 20];
params = params_backup;
params.mass = -1000;
TEST_OK($+1) = extrap_and_check();
