//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'https://cecill.info'.

TEST_OK = [];

// input data: 
// mean motion (rad/s), eccentricity, inclination (rad)
mm = 0.00078715742401298;
ecc = 0.1859667;
inc = 0.59809291873192083;
whichconst = "wgs72";

// compute semi major axis
sma = CLx_tle_unkozai([mm, mm], [ecc, ecc], [inc, inc], whichconst);

// results 
results = sma;

expected_results = [ 8635355.83228032291, 8635355.83228032291 ];

[TEST_OK($+1),err] = assert_checkalmostequal(results, expected_results);

